API Explorer 936 endpoints

Set Chat Room All Users Are Participants

PUT /obp/v7.0.0/banks/BANK_ID/chat-rooms/CHAT_ROOM_ID/open-room

OBPv6.0.0-setBankChatRoomOpenRoom Roles: CanSetBankChatRoomIsOpenRoom(per bank) Chat

Set whether all authenticated users are implicit participants of this chat room.

If true, all users can read and send messages without needing an explicit Participant record.

Requires the CanSetBankChatRoomIsOpenRoom role.

Authentication is Required

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

CHAT_ROOM_ID: CHAT_ROOM_ID

JSON response body fields (17)
bank_id
gh.29.uk
chat_room_id
chat_room_id
created_at
created_at
created_by_provider
created_by_provider
created_by_user_id
created_by_username
created_by_username
description
Description of the object. Maximum length is 2000. It can be any characters here.
is_archived
is_archived
is_open_room
is_open_room
joining_key
joining_key
name
ACCOUNT_MANAGEMENT_FEE
participant_count
participant_count
updated_at
updated_at
last_message_at
last_message_at
last_message_preview
last_message_preview
last_message_sender_username
last_message_sender_username
unread_count
unread_count
Example success response
{
  "chat_room_id": "chat-room-id-123",
  "bank_id": "gh.29.uk",
  "name": "General Discussion",
  "description": "A place to discuss general topics",
  "joining_key": "abc123key",
  "created_by_user_id": "user-id-123",
  "created_by_username": "username",
  "created_by_provider": "provider",
  "is_open_room": true,
  "is_archived": false,
  "last_message_at": "2026-10-21T01:45:41Z",
  "last_message_preview": "Hello everyone!",
  "last_message_sender_username": "robert.x.0.gh",
  "unread_count": 3,
  "created_at": "2026-10-21T01:45:41Z",
  "updated_at": "2026-10-21T01:45:41Z",
  "participant_count": 0
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-39001: Chat Room not found. Please specify a valid value for CHAT_ROOM_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv6.0.0 setBankChatRoomOpenRoom Originally /obp/v6.0.0/banks/BANK_ID/chat-rooms/CHAT_ROOM_ID/open-room